Index: /trunk/packages/vizservers/vtkvis/CmdProc.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/CmdProc.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/CmdProc.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __CMDPROC_H__
-#define __CMDPROC_H__
+#ifndef RAPPTURE_CMDPROC_H
+#define RAPPTURE_CMDPROC_H
 
 #include <tcl.h>
Index: /trunk/packages/vizservers/vtkvis/ColorMap.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/ColorMap.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/ColorMap.cpp	(revision 3615)
@@ -18,5 +18,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 ColorMap *ColorMap::_default = NULL;
Index: /trunk/packages/vizservers/vtkvis/ColorMap.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/ColorMap.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/ColorMap.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_COLORMAP_H__
-#define __RAPPTURE_VTKVIS_COLORMAP_H__
+#ifndef VTKVIS_COLORMAP_H
+#define VTKVIS_COLORMAP_H
 
 #include <string>
@@ -17,5 +17,4 @@
 #include <vtkLookupTable.h>
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -132,5 +131,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/PPMWriter.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/PPMWriter.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/PPMWriter.cpp	(revision 3615)
@@ -18,5 +18,5 @@
 #endif
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 #ifdef USE_THREADS
@@ -44,6 +44,6 @@
  */
 void
-Rappture::VtkVis::queuePPM(ResponseQueue *queue, const char *cmdName, 
-                           const unsigned char *data, int width, int height)
+VtkVis::queuePPM(ResponseQueue *queue, const char *cmdName, 
+                 const unsigned char *data, int width, int height)
 {
 #define PPM_MAXVAL 255
@@ -121,6 +121,6 @@
  */
 void
-Rappture::VtkVis::writePPM(int fd, const char *cmdName, 
-                           const unsigned char *data, int width, int height)
+VtkVis::writePPM(int fd, const char *cmdName, 
+                 const unsigned char *data, int width, int height)
 {
 #define PPM_MAXVAL 255
Index: /trunk/packages/vizservers/vtkvis/PPMWriter.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/PPMWriter.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/PPMWriter.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_PPMWRITER_H__
-#define __RAPPTURE_VTKVIS_PPMWRITER_H__
+#ifndef VTKVIS_PPMWRITER_H
+#define VTKVIS_PPMWRITER_H
 
 #ifdef USE_THREADS
@@ -13,5 +13,4 @@
 #endif
 
-namespace Rappture {
 namespace VtkVis {
 #ifdef USE_THREADS
@@ -25,4 +24,3 @@
 #endif
 }
-}
 #endif
Index: /trunk/packages/vizservers/vtkvis/ReadBuffer.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/ReadBuffer.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/ReadBuffer.cpp	(revision 3615)
@@ -15,5 +15,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 /**
Index: /trunk/packages/vizservers/vtkvis/ReadBuffer.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/ReadBuffer.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/ReadBuffer.h	(revision 3615)
@@ -8,8 +8,7 @@
 #include <cstdlib>
 
-#ifndef _READBUFFER_H
-#define _READBUFFER_H
+#ifndef VTKVIS_READBUFFER_H
+#define VTKVIS_READBUFFER_H
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -82,5 +81,4 @@
 
 }
-}
 
-#endif /* _READBUFFER_H */
+#endif
Index: /trunk/packages/vizservers/vtkvis/ResponseQueue.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/ResponseQueue.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/ResponseQueue.cpp	(revision 3615)
@@ -16,8 +16,7 @@
 #include "ResponseQueue.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
-ResponseQueue::ResponseQueue(void *clientData)  :
-    _clientData(clientData)
+ResponseQueue::ResponseQueue()
 {
     pthread_mutex_init(&_idle, NULL);
Index: /trunk/packages/vizservers/vtkvis/ResponseQueue.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/ResponseQueue.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/ResponseQueue.h	(revision 3615)
@@ -5,14 +5,13 @@
  * Author: George A. Howlett <gah@purdue.edu>
  */
+#ifndef VTKVIS_RESPONSE_QUEUE_H
+#define VTKVIS_RESPONSE_QUEUE_H
 
 #include <pthread.h>
 #include <semaphore.h>
 #include <cstdlib>
+#include <cstring>
 #include <list>
 
-#ifndef _RESPONSE_QUEUE_H
-#define _RESPONSE_QUEUE_H
-
-namespace Rappture {
 namespace VtkVis {
 
@@ -111,14 +110,7 @@
 {
 public:
-    ResponseQueue(void *clientData);
+    ResponseQueue();
 
     virtual ~ResponseQueue();
-
-    /// A place to store a data pointer.  Not used internally.
-    /* XXX: This probably doesn't belong here */
-    void *clientData()
-    {
-	return _clientData;
-    }
 
     /// Add a response to the end of the queue
@@ -132,9 +124,7 @@
     sem_t _ready; /**< Semaphore indicating that a response has been queued. */
     std::list<Response *> _list;
-    void *_clientData;
 };
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpArc.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpArc.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpArc.cpp	(revision 3615)
@@ -13,5 +13,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Arc::Arc() :
Index: /trunk/packages/vizservers/vtkvis/RpArc.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpArc.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpArc.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_ARC_H__
-#define __RAPPTURE_VTKVIS_ARC_H__
+#ifndef VTKVIS_ARC_H
+#define VTKVIS_ARC_H
 
 #include <vtkSmartPointer.h>
@@ -17,5 +17,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -65,5 +64,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpArrow.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpArrow.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpArrow.cpp	(revision 3615)
@@ -13,5 +13,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Arrow::Arrow() :
Index: /trunk/packages/vizservers/vtkvis/RpArrow.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpArrow.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpArrow.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_ARROW_H__
-#define __RAPPTURE_VTKVIS_ARROW_H__
+#ifndef VTKVIS_ARROW_H
+#define VTKVIS_ARROW_H
 
 #include <vtkSmartPointer.h>
@@ -17,5 +17,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -73,5 +72,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpBox.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpBox.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpBox.cpp	(revision 3615)
@@ -19,5 +19,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Box::Box() :
Index: /trunk/packages/vizservers/vtkvis/RpBox.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpBox.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpBox.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_BOX_H__
-#define __RAPPTURE_VTKVIS_BOX_H__
+#ifndef VTKVIS_BOX_H
+#define VTKVIS_BOX_H
 
 #include <vtkSmartPointer.h>
@@ -17,5 +17,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -52,5 +51,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpCone.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpCone.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpCone.cpp	(revision 3615)
@@ -13,5 +13,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Cone::Cone() :
Index: /trunk/packages/vizservers/vtkvis/RpCone.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpCone.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpCone.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_CONE_H__
-#define __RAPPTURE_VTKVIS_CONE_H__
+#ifndef VTKVIS_CONE_H
+#define VTKVIS_CONE_H
 
 #include <vtkSmartPointer.h>
@@ -17,5 +17,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -85,5 +84,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpContour2D.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpContour2D.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpContour2D.cpp	(revision 3615)
@@ -27,5 +27,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Contour2D::Contour2D(int numContours) :
@@ -302,4 +302,12 @@
 }
 
+void Contour2D::setContourField(const char *name)
+{
+    if (_contourFilter != NULL) {
+        _contourFilter->SetInputArrayToProcess(0, 0, 0, vtkDataObject::FIELD_ASSOCIATION_POINTS, name);
+        update();
+    }
+}
+
 void Contour2D::setColorMode(ColorMode mode)
 {
Index: /trunk/packages/vizservers/vtkvis/RpContour2D.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpContour2D.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpContour2D.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_CONTOUR2D_H__
-#define __RAPPTURE_VTKVIS_CONTOUR2D_H__
+#ifndef VTKVIS_CONTOUR2D_H
+#define VTKVIS_CONTOUR2D_H
 
 #include <vtkSmartPointer.h>
@@ -21,5 +21,4 @@
 #include "RpVtkGraphicsObject.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -53,4 +52,6 @@
 
     virtual void setClippingPlanes(vtkPlaneCollection *planes);
+
+    void setContourField(const char *name);
 
     void setNumContours(int numContours);
@@ -120,5 +121,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpContour3D.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpContour3D.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpContour3D.cpp	(revision 3615)
@@ -25,5 +25,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Contour3D::Contour3D(int numContours) :
@@ -269,4 +269,12 @@
 }
 
+void Contour3D::setContourField(const char *name)
+{
+    if (_contourFilter != NULL) {
+        _contourFilter->SetInputArrayToProcess(0, 0, 0, vtkDataObject::FIELD_ASSOCIATION_POINTS, name);
+        update();
+    }
+}
+
 void Contour3D::setColorMode(ColorMode mode)
 {
Index: /trunk/packages/vizservers/vtkvis/RpContour3D.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpContour3D.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpContour3D.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_CONTOUR3D_H__
-#define __RAPPTURE_VTKVIS_CONTOUR3D_H__
+#ifndef VTKVIS_CONTOUR3D_H
+#define VTKVIS_CONTOUR3D_H
 
 #include <vtkSmartPointer.h>
@@ -22,5 +22,4 @@
 #include "RpVtkGraphicsObject.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -62,4 +61,6 @@
 
     const std::vector<double>& getContourList() const;
+
+    void setContourField(const char *name);
 
     void setColorMode(ColorMode mode, DataSet::DataAttributeType type,
@@ -111,5 +112,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpCutplane.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpCutplane.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpCutplane.cpp	(revision 3615)
@@ -32,5 +32,5 @@
 #define MESH_POINT_CLOUDS
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Cutplane::Cutplane() :
Index: /trunk/packages/vizservers/vtkvis/RpCutplane.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpCutplane.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpCutplane.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_CUTPLANE_H__
-#define __RAPPTURE_VTKVIS_CUTPLANE_H__
+#ifndef VTKVIS_CUTPLANE_H
+#define VTKVIS_CUTPLANE_H
 
 #include <vtkSmartPointer.h>
@@ -24,5 +24,4 @@
 #include "RpVtkGraphicsObject.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -124,5 +123,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpCylinder.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpCylinder.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpCylinder.cpp	(revision 3615)
@@ -13,5 +13,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Cylinder::Cylinder() :
Index: /trunk/packages/vizservers/vtkvis/RpCylinder.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpCylinder.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpCylinder.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_CYLINDER_H__
-#define __RAPPTURE_VTKVIS_CYLINDER_H__
+#ifndef VTKVIS_CYLINDER_H
+#define VTKVIS_CYLINDER_H
 
 #include <vtkSmartPointer.h>
@@ -17,5 +17,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -78,5 +77,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpDisk.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpDisk.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpDisk.cpp	(revision 3615)
@@ -13,5 +13,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Disk::Disk() :
Index: /trunk/packages/vizservers/vtkvis/RpDisk.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpDisk.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpDisk.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_DISK_H__
-#define __RAPPTURE_VTKVIS_DISK_H__
+#ifndef VTKVIS_DISK_H
+#define VTKVIS_DISK_H
 
 #include <vtkSmartPointer.h>
@@ -17,5 +17,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -59,5 +58,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpGlyphs.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpGlyphs.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpGlyphs.cpp	(revision 3615)
@@ -31,5 +31,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Glyphs::Glyphs(GlyphShape shape) :
Index: /trunk/packages/vizservers/vtkvis/RpGlyphs.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpGlyphs.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpGlyphs.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_GLYPHS_H__
-#define __RAPPTURE_VTKVIS_GLYPHS_H__
+#ifndef VTKVIS_GLYPHS_H
+#define VTKVIS_GLYPHS_H
 
 #include <vector>
@@ -22,5 +22,4 @@
 #include "ColorMap.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -139,5 +138,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpGroup.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpGroup.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpGroup.cpp	(revision 3615)
@@ -9,5 +9,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Group::Group()
Index: /trunk/packages/vizservers/vtkvis/RpGroup.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpGroup.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpGroup.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_GROUP_H__
-#define __RAPPTURE_VTKVIS_GROUP_H__
+#ifndef VTKVIS_GROUP_H
+#define VTKVIS_GROUP_H
 
 #include <tr1/unordered_map>
@@ -15,5 +15,4 @@
 #include "RpVtkGraphicsObject.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -66,5 +65,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpHeightMap.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpHeightMap.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpHeightMap.cpp	(revision 3615)
@@ -35,7 +35,8 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 #define MESH_POINT_CLOUDS
+#define TRANSLATE_TO_ZORIGIN
 
 HeightMap::HeightMap(int numContours, double heightScale) :
@@ -516,5 +517,12 @@
         _warp->SetScaleFactor(_warpScale * _dataScale);
     }
-
+#ifdef TRANSLATE_TO_ZORIGIN
+    double pos[3];
+    pos[0] = 0;
+    pos[1] = 0;
+    pos[2] = - _warpScale * _dataScale * _dataRange[0];
+    setPosition(pos);
+    TRACE("Z_POS: %g", pos[2]);
+#endif
     _dsActor->SetMapper(_dsMapper);
 
@@ -670,5 +678,4 @@
         _normalsGenerator->ComputePointNormalsOn();
         return _normalsGenerator->GetOutputPort();
-        //return _warp->GetOutputPort();
     }
 }
@@ -711,5 +718,4 @@
         _normalsGenerator->ComputePointNormalsOn();
         return _normalsGenerator->GetOutputPort();
-        //return _warp->GetOutputPort();
     }
 }
@@ -736,5 +742,12 @@
         _warp->SetScaleFactor(_warpScale * _dataScale);
     }
-
+#ifdef TRANSLATE_TO_ZORIGIN
+    double pos[3];
+    pos[0] = 0;
+    pos[1] = 0;
+    pos[2] = - _warpScale * _dataScale * _dataRange[0];
+    setPosition(pos);
+    TRACE("Z_POS: %g", pos[2]);
+#endif
     if (_dsMapper != NULL)
         _dsMapper->Update();
Index: /trunk/packages/vizservers/vtkvis/RpHeightMap.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpHeightMap.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpHeightMap.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_HEIGHTMAP_H__
-#define __RAPPTURE_VTKVIS_HEIGHTMAP_H__
+#ifndef VTKVIS_HEIGHTMAP_H
+#define VTKVIS_HEIGHTMAP_H
 
 #include <vtkSmartPointer.h>
@@ -30,5 +30,4 @@
 #include "RpVtkGraphicsObject.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -171,5 +170,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpLIC.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpLIC.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpLIC.cpp	(revision 3615)
@@ -25,5 +25,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 LIC::LIC() :
Index: /trunk/packages/vizservers/vtkvis/RpLIC.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpLIC.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpLIC.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_LIC_H__
-#define __RAPPTURE_VTKVIS_LIC_H__
+#ifndef VTKVIS_LIC_H
+#define VTKVIS_LIC_H
 
 #include <vtkSmartPointer.h>
@@ -24,5 +24,4 @@
 #include "RpVtkGraphicsObject.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -79,5 +78,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpLine.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpLine.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpLine.cpp	(revision 3615)
@@ -13,5 +13,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Line::Line() :
Index: /trunk/packages/vizservers/vtkvis/RpLine.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpLine.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpLine.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_LINE_H__
-#define __RAPPTURE_VTKVIS_LINE_H__
+#ifndef VTKVIS_LINE_H
+#define VTKVIS_LINE_H
 
 #include <vtkSmartPointer.h>
@@ -17,5 +17,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -51,5 +50,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpMath.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpMath.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpMath.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_MATH_H__
-#define __RAPPTURE_VTKVIS_MATH_H__
+#ifndef VTKVIS_MATH_H
+#define VTKVIS_MATH_H
 
 #include <cmath>
@@ -15,5 +15,4 @@
 #include <vtkMatrix4x4.h>
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -185,5 +184,5 @@
         quat[2]*quat[2] + 
         quat[3]*quat[3];
-    Rappture::VtkVis::quatConjugate(quat, result);
+    VtkVis::quatConjugate(quat, result);
     for (int i = 0; i < 4; i++) {
         result[i] /= denom;
@@ -197,5 +196,5 @@
 inline double *quatReciprocal(double quat[4])
 {
-    return Rappture::VtkVis::quatReciprocal(quat, quat);
+    return VtkVis::quatReciprocal(quat, quat);
 }
 
@@ -219,5 +218,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpMolecule.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpMolecule.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpMolecule.cpp	(revision 3615)
@@ -35,5 +35,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Molecule::Molecule() :
Index: /trunk/packages/vizservers/vtkvis/RpMolecule.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpMolecule.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpMolecule.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_MOLECULE_H__
-#define __RAPPTURE_VTKVIS_MOLECULE_H__
+#ifndef VTKVIS_MOLECULE_H
+#define VTKVIS_MOLECULE_H
 
 #include <vtkSmartPointer.h>
@@ -24,5 +24,4 @@
 #include "RpVtkGraphicsObject.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -165,5 +164,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpOutline.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpOutline.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpOutline.cpp	(revision 3615)
@@ -17,5 +17,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Outline::Outline() :
Index: /trunk/packages/vizservers/vtkvis/RpOutline.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpOutline.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpOutline.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_OUTLINE_H__
-#define __RAPPTURE_VTKVIS_OUTLINE_H__
+#ifndef VTKVIS_OUTLINE_H
+#define VTKVIS_OUTLINE_H
 
 #include <vtkSmartPointer.h>
@@ -16,5 +16,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -44,5 +43,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpPolyData.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpPolyData.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpPolyData.cpp	(revision 3615)
@@ -22,5 +22,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 PolyData::PolyData() :
Index: /trunk/packages/vizservers/vtkvis/RpPolyData.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpPolyData.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpPolyData.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_POLYDATA_H__
-#define __RAPPTURE_VTKVIS_POLYDATA_H__
+#ifndef VTKVIS_POLYDATA_H
+#define VTKVIS_POLYDATA_H
 
 #include <vtkSmartPointer.h>
@@ -16,5 +16,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -44,5 +43,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpPolygon.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpPolygon.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpPolygon.cpp	(revision 3615)
@@ -13,5 +13,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Polygon::Polygon() :
Index: /trunk/packages/vizservers/vtkvis/RpPolygon.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpPolygon.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpPolygon.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_POLYGON_H__
-#define __RAPPTURE_VTKVIS_POLYGON_H__
+#ifndef VTKVIS_POLYGON_H
+#define VTKVIS_POLYGON_H_
 
 #include <vtkSmartPointer.h>
@@ -17,5 +17,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -71,5 +70,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpPseudoColor.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpPseudoColor.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpPseudoColor.cpp	(revision 3615)
@@ -31,5 +31,5 @@
 #define MESH_POINT_CLOUDS
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 PseudoColor::PseudoColor() :
Index: /trunk/packages/vizservers/vtkvis/RpPseudoColor.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpPseudoColor.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpPseudoColor.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_PSEUDOCOLOR_H__
-#define __RAPPTURE_VTKVIS_PSEUDOCOLOR_H__
+#ifndef VTKVIS_PSEUDOCOLOR_H
+#define VTKVIS_PSEUDOCOLOR_H
 
 #include <vtkSmartPointer.h>
@@ -18,5 +18,4 @@
 #include "RpVtkGraphicsObject.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -89,5 +88,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpShape.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpShape.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpShape.cpp	(revision 3615)
@@ -18,5 +18,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Shape::Shape() :
Index: /trunk/packages/vizservers/vtkvis/RpShape.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpShape.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpShape.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_SHAPE_H__
-#define __RAPPTURE_VTKVIS_SHAPE_H__
+#ifndef VTKVIS_SHAPE_H
+#define VTKVIS_SHAPE_H
 
 #include <cassert>
@@ -18,5 +18,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -50,5 +49,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpSphere.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpSphere.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpSphere.cpp	(revision 3615)
@@ -19,5 +19,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Sphere::Sphere() :
Index: /trunk/packages/vizservers/vtkvis/RpSphere.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpSphere.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpSphere.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_SPHERE_H__
-#define __RAPPTURE_VTKVIS_SPHERE_H__
+#ifndef VTKVIS_SPHERE_H
+#define VTKVIS_SPHERE_H
 
 #include <vtkSmartPointer.h>
@@ -17,5 +17,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -91,5 +90,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpStreamlines.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpStreamlines.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpStreamlines.cpp	(revision 3615)
@@ -34,5 +34,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Streamlines::Streamlines() :
Index: /trunk/packages/vizservers/vtkvis/RpStreamlines.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpStreamlines.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpStreamlines.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_STREAMLINES_H__
-#define __RAPPTURE_VTKVIS_STREAMLINES_H__
+#ifndef VTKVIS_STREAMLINES_H
+#define VTKVIS_STREAMLINES_H
 
 #include <vtkSmartPointer.h>
@@ -22,5 +22,4 @@
 #include "RpVtkDataSet.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -219,5 +218,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpTypes.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpTypes.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpTypes.h	(revision 3615)
@@ -6,8 +6,7 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_TYPES_H__
-#define __RAPPTURE_VTKVIS_TYPES_H__
+#ifndef VTKVIS_TYPES_H
+#define VTKVIS_TYPES_H
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -25,5 +24,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpVolume.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVolume.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVolume.cpp	(revision 3615)
@@ -15,4 +15,5 @@
 #include <vtkVolumeTextureMapper3D.h>
 #include <vtkUnstructuredGrid.h>
+#include <vtkPolyData.h>
 #include <vtkCellType.h>
 #include <vtkUnstructuredGridVolumeMapper.h>
@@ -25,5 +26,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Volume::Volume() :
Index: /trunk/packages/vizservers/vtkvis/RpVolume.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVolume.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVolume.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_VOLUME_H__
-#define __RAPPTURE_VTKVIS_VOLUME_H__
+#ifndef VTKVIS_VOLUME_H
+#define VTKVIS_VOLUME_H
 
 #include <vtkSmartPointer.h>
@@ -18,5 +18,4 @@
 #include "ColorMap.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -70,5 +69,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpVtkDataSet.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkDataSet.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkDataSet.cpp	(revision 3615)
@@ -28,5 +28,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 DataSet::DataSet(const std::string& name) :
@@ -38,69 +38,8 @@
     _cellSizeRange[0] = -1;
     _cellSizeRange[1] = -1;
-    initProp();
 }
 
 DataSet::~DataSet()
 {
-}
-
-/**
- * \brief Create and initialize a VTK Prop to render the outline
- */
-void DataSet::initProp()
-{
-    if (_prop == NULL) {
-        _prop = vtkSmartPointer<vtkActor>::New();
-        vtkProperty *property = _prop->GetProperty();
-        property->EdgeVisibilityOff();
-        property->SetOpacity(_opacity);
-        property->SetAmbient(.2);
-        property->LightingOff();
-        _prop->SetVisibility((_visible ? 1 : 0));
-    }
-}
-
-/**
- * \brief Create and initialize a wireframe outline
- */
-void DataSet::showOutline(bool state)
-{
-    if (state) {
-        if (_outlineFilter == NULL) {
-            _outlineFilter = vtkSmartPointer<vtkOutlineFilter>::New();
-#ifdef USE_VTK6
-            _outlineFilter->SetInputData(_dataSet);
-#else
-            _outlineFilter->SetInput(_dataSet);
-#endif
-        }
-        if (_outlineMapper == NULL) {
-            _outlineMapper = vtkSmartPointer<vtkPolyDataMapper>::New();
-            _outlineMapper->SetInputConnection(_outlineFilter->GetOutputPort());
-        }
-        initProp();
-        _prop->SetMapper(_outlineMapper);
-    } else {
-        if (_prop != NULL) {
-            _prop->SetMapper(NULL);
-        }
-        if (_outlineMapper != NULL) {
-            _outlineMapper = NULL;
-        }
-        if (_outlineFilter != NULL) {
-            _outlineFilter = NULL;
-        }
-    }
-}
-
-/**
- * \brief Set color of outline bounding box
- */
-void DataSet::setOutlineColor(float color[3])
-{
-    if (_prop == NULL) {
-        initProp();
-    }
-    _prop->GetProperty()->SetColor(color[0], color[1], color[2]);
 }
 
@@ -115,7 +54,4 @@
 {
     _opacity = opacity;
-    if (_prop != NULL) {
-        _prop->GetProperty()->SetOpacity(opacity);
-    }
 }
 
@@ -130,7 +66,4 @@
 {
     _visible = state;
-    if (_prop != NULL) {
-        _prop->SetVisibility((state ? 1 : 0));
-    }
 }
 
Index: /trunk/packages/vizservers/vtkvis/RpVtkDataSet.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkDataSet.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkDataSet.h	(revision 3615)
@@ -6,14 +6,10 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_DATASET_H__
-#define __RAPPTURE_VTKVIS_DATASET_H__
+#ifndef VTKVIS_DATASET_H
+#define VTKVIS_DATASET_H
 
 #include <vtkSmartPointer.h>
 #include <vtkDataSet.h>
 #include <vtkDataSetReader.h>
-#include <vtkProp.h>
-#include <vtkActor.h>
-#include <vtkOutlineFilter.h>
-#include <vtkPolyDataMapper.h>
 
 #include <string>
@@ -23,5 +19,4 @@
 #include "Trace.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -126,172 +121,4 @@
     bool getVisibility() const;
 
-    void showOutline(bool state);
-
-    void setOutlineColor(float color[3]);
-
-    void setClippingPlanes(vtkPlaneCollection *planes)
-    {
-        if (_outlineMapper != NULL) {
-            _outlineMapper->SetClippingPlanes(planes);
-        }
-    }
-
-    /**
-     * \brief Return the VTK prop object for the outline
-     */
-    inline vtkProp *getProp()
-    {
-        return _prop;
-    }
-
-    /**
-     * \brief Set 2D aspect ratio scaling
-     *
-     * \param aspect 0=no scaling, otherwise aspect
-     * is horiz/vertical ratio
-     */
-    void setAspect(double aspect)
-    {
-        double scale[3];
-        scale[0] = scale[1] = scale[2] = 1.;
-
-        if (aspect == 0.0) {
-            setScale(scale);
-            return;
-        }
-        if (_dataSet == NULL) {
-            TRACE("Not setting aspect for empty data set");
-            return;
-        }
-
-        PrincipalPlane plane;
-        if (!is2D(&plane)) {
-            TRACE("Not setting aspect for 3D data set");
-            return;
-        }
-
-        double bounds[6];
-        getBounds(bounds);
-
-        double size[3];
-        size[0] = bounds[1] - bounds[0];
-        size[1] = bounds[3] - bounds[2];
-        size[2] = bounds[5] - bounds[4];
-
-        if (aspect == 1.0) {
-            // Square
-            switch (plane) {
-            case PLANE_XY: {
-                if (size[0] > size[1] && size[1] > 1.0e-6) {
-                    scale[1] = size[0] / size[1];
-                } else if (size[1] > size[0] && size[0] > 1.0e-6) {
-                    scale[0] = size[1] / size[0];
-                }
-            }
-                break;
-            case PLANE_ZY: {
-                if (size[1] > size[2] && size[2] > 1.0e-6) {
-                    scale[2] = size[1] / size[2];
-                } else if (size[2] > size[1] && size[1] > 1.0e-6) {
-                    scale[1] = size[2] / size[1];
-                }
-            }
-                break;
-            case PLANE_XZ: {
-                if (size[0] > size[2] && size[2] > 1.0e-6) {
-                    scale[2] = size[0] / size[2];
-                } else if (size[2] > size[0] && size[0] > 1.0e-6) {
-                    scale[0] = size[2] / size[0];
-                }
-            }
-                break;
-            default:
-                break;
-            }
-        } else {
-            switch (plane) {
-            case PLANE_XY: {
-                if (aspect > 1.0) {
-                    if (size[0] > size[1]) {
-                        scale[1] = (size[0] / aspect) / size[1];
-                    } else {
-                        scale[0] = (size[1] * aspect) / size[0];
-                    }
-                } else {
-                    if (size[1] > size[0]) {
-                        scale[0] = (size[1] * aspect) / size[0];
-                    } else {
-                        scale[1] = (size[0] / aspect) / size[1];
-                    }
-                }
-            }
-                break;
-            case PLANE_ZY: {
-                if (aspect > 1.0) {
-                    if (size[2] > size[1]) {
-                        scale[1] = (size[2] / aspect) / size[1];
-                    } else {
-                        scale[2] = (size[1] * aspect) / size[2];
-                    }
-                } else {
-                    if (size[1] > size[2]) {
-                        scale[2] = (size[1] * aspect) / size[2];
-                    } else {
-                        scale[1] = (size[2] / aspect) / size[1];
-                    }
-                }
-            }
-                break;
-            case PLANE_XZ: {
-                if (aspect > 1.0) {
-                    if (size[0] > size[2]) {
-                        scale[2] = (size[0] / aspect) / size[2];
-                    } else {
-                        scale[0] = (size[2] * aspect) / size[0];
-                    }
-                } else {
-                    if (size[2] > size[0]) {
-                        scale[0] = (size[2] * aspect) / size[0];
-                    } else {
-                        scale[2] = (size[0] / aspect) / size[2];
-                    }
-                }
-            }
-            default:
-                break;
-            }
-        }
-
-        TRACE("obj %g,%g,%g", size[0], size[1], size[2]);
-        TRACE("Setting scale to %g,%g,%g", scale[0], scale[1], scale[2]);
-        setScale(scale);
-    }
-
-    /**
-     * \brief Get the prop scaling
-     *
-     * \param[out] scale Scaling in x,y,z
-     */
-    void getScale(double scale[3])
-    {
-        if (_prop != NULL) {
-            _prop->GetScale(scale);
-        } else {
-            scale[0] = scale[1] = scale[2] = 1.0;
-        }
-    }
-
-    /**
-     * \brief Set the prop scaling
-     *
-     * \param[in] scale Scaling in x,y,z
-     */
-    void setScale(double scale[3])
-    {
-        if (_prop != NULL) {
-            _prop->SetScale(scale);
-        }
-    }
-
     static void print(vtkDataSet *ds);
 
@@ -302,6 +129,4 @@
     void print() const;
 
-    void initProp();
-
     std::string _name;
     vtkSmartPointer<vtkDataSet> _dataSet;
@@ -310,11 +135,7 @@
     double _cellSizeRange[2];
     double _cellSizeAverage;
-    vtkSmartPointer<vtkOutlineFilter> _outlineFilter;
-    vtkSmartPointer<vtkActor> _prop;
-    vtkSmartPointer<vtkPolyDataMapper> _outlineMapper;
 };
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpVtkGraphicsObject.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkGraphicsObject.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkGraphicsObject.cpp	(revision 3615)
@@ -10,5 +10,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 void VtkGraphicsObject::setDataSet(DataSet *dataSet,
Index: /trunk/packages/vizservers/vtkvis/RpVtkGraphicsObject.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkGraphicsObject.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkGraphicsObject.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_VTKGRAPHICSOBJECT_H__
-#define __RAPPTURE_VTKVIS_VTKGRAPHICSOBJECT_H__
+#ifndef VTKVIS_VTKGRAPHICSOBJECT_H
+#define VTKVIS_VTKGRAPHICSOBJECT_H
 
 #include <cmath>
@@ -28,5 +28,4 @@
 #include "Trace.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -931,5 +930,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpVtkRenderServer.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkRenderServer.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkRenderServer.cpp	(revision 3615)
@@ -36,15 +36,15 @@
 #include <md5.h>
 
-using namespace Rappture::VtkVis;
-
-Stats Rappture::VtkVis::g_stats;
-
-int Rappture::VtkVis::g_statsFile = -1; ///< Stats output file descriptor.
-int Rappture::VtkVis::g_fdIn = STDIN_FILENO; ///< Input file descriptor
-int Rappture::VtkVis::g_fdOut = STDOUT_FILENO; ///< Output file descriptor
-FILE *Rappture::VtkVis::g_fOut = stdout; ///< Output file handle
-FILE *Rappture::VtkVis::g_fLog = NULL; ///< Trace logging file handle
-Renderer *Rappture::VtkVis::g_renderer = NULL; ///< Main render worker
-ReadBuffer *Rappture::VtkVis::g_inBufPtr = NULL; ///< Socket read buffer
+using namespace VtkVis;
+
+Stats VtkVis::g_stats;
+
+int VtkVis::g_statsFile = -1; ///< Stats output file descriptor.
+int VtkVis::g_fdIn = STDIN_FILENO; ///< Input file descriptor
+int VtkVis::g_fdOut = STDOUT_FILENO; ///< Output file descriptor
+FILE *VtkVis::g_fOut = stdout; ///< Output file handle
+FILE *VtkVis::g_fLog = NULL; ///< Trace logging file handle
+Renderer *VtkVis::g_renderer = NULL; ///< Main render worker
+ReadBuffer *VtkVis::g_inBufPtr = NULL; ///< Socket read buffer
 
 #ifdef USE_THREADS
@@ -216,5 +216,5 @@
 
 int
-Rappture::VtkVis::getStatsFile(Tcl_Interp *interp, Tcl_Obj *objPtr)
+VtkVis::getStatsFile(Tcl_Interp *interp, Tcl_Obj *objPtr)
 {
     Tcl_DString ds;
@@ -261,5 +261,5 @@
 
 int
-Rappture::VtkVis::writeToStatsFile(int f, const char *s, size_t length)
+VtkVis::writeToStatsFile(int f, const char *s, size_t length)
 {
     if (f >= 0) {
@@ -498,5 +498,5 @@
      * also be used to supply information about the server (version, memory
      * size, etc). */
-    fprintf(g_fOut, "VtkVis 1.2 (build %s)\n", SVN_VERSION);
+    fprintf(g_fOut, "VtkVis %s (build %s)\n", VTKVIS_VERSION_STRING, SVN_VERSION);
     fflush(g_fOut);
 
@@ -505,8 +505,7 @@
 
     Tcl_Interp *interp = Tcl_CreateInterp();
-
     ClientData clientData = NULL;
 #ifdef USE_THREADS
-    ResponseQueue *queue = new ResponseQueue((void *)interp);
+    ResponseQueue *queue = new ResponseQueue();
     clientData = (ClientData)queue;
     initTcl(interp, clientData);
Index: /trunk/packages/vizservers/vtkvis/RpVtkRenderServer.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkRenderServer.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkRenderServer.h	(revision 3615)
@@ -6,14 +6,15 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_RENDERSERVER_H__
-#define __RAPPTURE_VTKVIS_RENDERSERVER_H__
+#ifndef VTKVIS_RENDERSERVER_H
+#define VTKVIS_RENDERSERVER_H
 
 #include <sys/types.h>
 #include <sys/time.h>
 
-namespace Rappture {
 namespace VtkVis {
 
 class Renderer;
+
+#define VTKVIS_VERSION_STRING "1.3"
 
 #define MSECS_ELAPSED(t1, t2) \
@@ -51,5 +52,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpVtkRenderer.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkRenderer.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkRenderer.cpp	(revision 3615)
@@ -50,5 +50,24 @@
      (((t2).tv_sec - (t1).tv_sec))*1.0e+3 + (double)((t2).tv_usec - (t1).tv_usec)/1.0e+3)
 
-using namespace Rappture::VtkVis;
+#define printCameraInfo(camera)                                         \
+do {                                                                    \
+    TRACE("pscale: %g, angle: %g, d: %g pos: %g %g %g, fpt: %g %g %g, vup: %g %g %g, clip: %g %g", \
+          (camera)->GetParallelScale(),                                 \
+          (camera)->GetViewAngle(),                                     \
+          (camera)->GetDistance(),                                      \
+          (camera)->GetPosition()[0],                                   \
+          (camera)->GetPosition()[1],                                   \
+          (camera)->GetPosition()[2],                                   \
+          (camera)->GetFocalPoint()[0],                                 \
+          (camera)->GetFocalPoint()[1],                                 \
+          (camera)->GetFocalPoint()[2],                                 \
+          (camera)->GetViewUp()[0],                                     \
+          (camera)->GetViewUp()[1],                                     \
+          (camera)->GetViewUp()[2],                                     \
+          (camera)->GetClippingRange()[0],                              \
+          (camera)->GetClippingRange()[1]);                             \
+} while(0)
+
+using namespace VtkVis;
 
 Renderer::Renderer() :
@@ -250,8 +269,4 @@
         deleteGraphicsObject<Volume>(itr->second->getName());
         deleteGraphicsObject<Warp>(itr->second->getName());
- 
-        if (itr->second->getProp() != NULL) {
-            _renderer->RemoveViewProp(itr->second->getProp());
-        }
 
         TRACE("After deleting graphics objects");
@@ -667,4 +682,5 @@
         _cubeAxesActor->GetXAxisRange(&ranges[0]);
     }
+
     if (_axesRangeMode[Y_AXIS] != RANGE_EXPLICIT) {
         ranges[2] = bounds[2] * _axesScale[Y_AXIS];
@@ -2191,9 +2207,4 @@
 void Renderer::setObjectAspects(double aspectRatio)
 {
-    for (DataSetHashmap::iterator itr = _dataSets.begin();
-         itr != _dataSets.end(); ++itr) {
-        itr->second->setAspect(aspectRatio);
-    }
-
     setGraphicsObjectAspect<Arc>(aspectRatio);
     setGraphicsObjectAspect<Arrow>(aspectRatio);
@@ -2396,5 +2407,5 @@
     setCameraFromMatrix(camera, *trans->GetMatrix());
 
-    _renderer->ResetCameraClippingRange();
+    resetCameraClippingRange();
     printCameraInfo(camera);
     _needsRedraw = true;
@@ -2416,5 +2427,5 @@
     camera->SetFocalPoint(focalPoint);
     camera->SetViewUp(viewUp);
-    _renderer->ResetCameraClippingRange();
+    resetCameraClippingRange();
     _needsRedraw = true;
 }
@@ -2456,4 +2467,5 @@
 void Renderer::resetCamera(bool resetOrientation)
 {
+    TRACE("Enter: %d", resetOrientation ? 1 : 0);
     vtkSmartPointer<vtkCamera> camera = _renderer->GetActiveCamera();
     if (_cameraMode == IMAGE) {
@@ -2477,6 +2489,5 @@
             _needsAxesReset = false;
         }
-        _renderer->ResetCamera();
-        _renderer->ResetCameraClippingRange();
+        resetVtkCamera();
         //computeScreenWorldCoords();
     }
@@ -2493,8 +2504,10 @@
 void Renderer::resetVtkCamera(double *bounds)
 {
+    TRACE("Enter: bounds: %p", bounds);
     if (bounds != NULL)
         _renderer->ResetCamera(bounds);
     else
         _renderer->ResetCamera();
+    printCameraInfo(_renderer->GetActiveCamera());
 }
 
@@ -2505,4 +2518,8 @@
 {
     _renderer->ResetCameraClippingRange();
+    vtkSmartPointer<vtkCamera> camera = _renderer->GetActiveCamera();
+    //double dist = camera->GetClippingRange()[0] + (camera->GetClippingRange()[1] - camera->GetClippingRange()[0])/2.0;
+    //camera->SetDistance(dist);
+    printCameraInfo(camera);
 }
 
@@ -2522,5 +2539,5 @@
     //camera->SetPitch(pitch); // Rotate about camera
     camera->Roll(roll); // Roll about camera view axis
-    _renderer->ResetCameraClippingRange();
+    resetCameraClippingRange();
     //computeScreenWorldCoords();
     _needsRedraw = true;
@@ -2623,5 +2640,5 @@
                                 motionVector[2] + viewPoint[2]);
 
-            _renderer->ResetCameraClippingRange();
+            resetCameraClippingRange();
             //computeScreenWorldCoords();
         }
@@ -2677,5 +2694,5 @@
         // Change ortho parallel scale
         camera->SetParallelScale(camera->GetParallelScale()/z);
-        _renderer->ResetCameraClippingRange();
+        resetCameraClippingRange();
         //computeScreenWorldCoords();
     }
@@ -3108,11 +3125,4 @@
     bounds[5] = -DBL_MAX;
 
-    for (DataSetHashmap::iterator itr = _dataSets.begin();
-             itr != _dataSets.end(); ++itr) {
-        if ((!onlyVisible || itr->second->getVisibility()) &&
-            itr->second->getProp() != NULL)
-            mergeBounds(bounds, bounds, itr->second->getProp()->GetBounds());
-    }
-
     mergeGraphicsObjectBounds<Arc>(bounds, onlyVisible);
     mergeGraphicsObjectBounds<Arrow>(bounds, onlyVisible);
@@ -3183,14 +3193,4 @@
     bounds[4] = DBL_MAX;
     bounds[5] = -DBL_MAX;
-
-    for (DataSetHashmap::iterator itr = _dataSets.begin();
-             itr != _dataSets.end(); ++itr) {
-        if ((!onlyVisible || itr->second->getVisibility()) &&
-            itr->second->getProp() != NULL) {
-            double dsBounds[6];
-            itr->second->getBounds(dsBounds);
-            mergeBounds(bounds, bounds, dsBounds);
-        }
-    }
 
     mergeGraphicsObjectUnscaledBounds<Arc>(bounds, onlyVisible);
@@ -3848,6 +3848,5 @@
         resetAxes(bounds);
         //_renderer->ResetCamera(bounds);
-        _renderer->ResetCamera();
-        _renderer->ResetCameraClippingRange();
+        resetVtkCamera();
         //computeScreenWorldCoords();
         break;
@@ -3856,6 +3855,5 @@
         resetAxes(bounds);
         //_renderer->ResetCamera(bounds);
-        _renderer->ResetCamera();
-        _renderer->ResetCameraClippingRange();
+        resetVtkCamera();
         //computeScreenWorldCoords();
         break;
@@ -3869,4 +3867,5 @@
 }
 
+#if 0
 /**
  * \brief Print debugging info about a vtkCamera
@@ -3890,4 +3889,5 @@
           camera->GetClippingRange()[1]);
 }
+#endif
 
 /**
@@ -4016,71 +4016,4 @@
 
 /**
- * \brief Toggle rendering of actors' bounding box
- */
-void Renderer::setDataSetShowBounds(const DataSetId& id, bool state)
-{
-    DataSetHashmap::iterator itr;
-
-    bool doAll = false;
-
-    if (id.compare("all") == 0) {
-        itr = _dataSets.begin();
-        if (itr == _dataSets.end())
-            return;
-        doAll = true;
-    } else {
-        itr = _dataSets.find(id);
-    }
-    if (itr == _dataSets.end()) {
-        ERROR("Unknown dataset %s", id.c_str());
-        return;
-    }
-
-    do {
-        if (!state && itr->second->getProp()) {
-            _renderer->RemoveViewProp(itr->second->getProp());
-        }
-
-        itr->second->showOutline(state);
-
-        if (state && !_renderer->HasViewProp(itr->second->getProp())) {
-            _renderer->AddViewProp(itr->second->getProp());
-        }
-    } while (doAll && ++itr != _dataSets.end());
-
-    sceneBoundsChanged();
-    _needsRedraw = true;
-}
-
-/**
- * \brief Set color of outline bounding box
- */
-void Renderer::setDataSetOutlineColor(const DataSetId& id, float color[3])
-{
-    DataSetHashmap::iterator itr;
-
-    bool doAll = false;
-
-    if (id.compare("all") == 0) {
-        itr = _dataSets.begin();
-        if (itr == _dataSets.end())
-            return;
-        doAll = true;
-    } else {
-        itr = _dataSets.find(id);
-    }
-    if (itr == _dataSets.end()) {
-        ERROR("Unknown dataset %s", id.c_str());
-        return;
-    }
-
-    do {
-        itr->second->setOutlineColor(color);
-    } while (doAll && ++itr != _dataSets.end());
-
-    _needsRedraw = true;
-}
-
-/**
  * \brief Set a user clipping plane
  *
@@ -4199,10 +4132,4 @@
      * Mappers already using the PlaneCollection
      */
-    // First set clip planes for DataSet bounding boxes
-    for (DataSetHashmap::iterator itr = _dataSets.begin();
-         itr != _dataSets.end(); ++itr) {
-        itr->second->setClippingPlanes(_activeClipPlanes);
-    }
-
     setGraphicsObjectClippingPlanes<Arc>(_activeClipPlanes);
     setGraphicsObjectClippingPlanes<Arrow>(_activeClipPlanes);
@@ -4264,4 +4191,6 @@
 bool Renderer::render()
 {
+    TRACE("Enter: redraw: %d axesReset: %d cameraReset: %d clippingRangeReset: %d",
+          _needsRedraw ? 1 : 0, _needsAxesReset ? 1 : 0, _needsCameraReset ? 1 : 0, _needsCameraClippingRangeReset ? 1 : 0);
     if (_needsRedraw) {
          if (_needsAxesReset) {
Index: /trunk/packages/vizservers/vtkvis/RpVtkRenderer.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkRenderer.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkRenderer.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_RENDERER_H__
-#define __RAPPTURE_VTKVIS_RENDERER_H__
+#ifndef VTKVIS_RENDERER_H
+#define VTKVIS_RENDERER_H
 
 #include <string>
@@ -57,5 +57,4 @@
 #define TARGA_BYTES_PER_PIXEL 3
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -138,8 +137,4 @@
 
     bool getVectorValue(const DataSetId& id, double x, double y, double z, double vector[3]);
-
-    void setDataSetShowBounds(const DataSetId& id, bool state);
-
-    void setDataSetOutlineColor(const DataSetId& id, float color[3]);
 
     void setDataSetOpacity(const DataSetId& id, double opacity);
@@ -577,4 +572,6 @@
     bool addContour2D(const DataSetId& id, const std::vector<double>& contours);
 
+    void setContour2DContourField(const DataSetId& id, const char *fieldName);
+
     void setContour2DNumContours(const DataSetId& id, int numContours);
 
@@ -595,4 +592,6 @@
 
     bool addContour3D(const DataSetId& id, const std::vector<double>& contours);
+
+    void setContour3DContourField(const DataSetId& id, const char *fieldName);
 
     void setContour3DNumContours(const DataSetId& id, int numContours);
@@ -851,5 +850,5 @@
     void _setCameraZoomRegion(double x, double y, double width, double height);
 
-    static void printCameraInfo(vtkCamera *camera);
+    //static void printCameraInfo(vtkCamera *camera);
 
     static void setCameraFromMatrix(vtkCamera *camera, vtkMatrix4x4 &mat);
@@ -994,5 +993,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpVtkRendererCmd.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkRendererCmd.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkRendererCmd.cpp	(revision 3615)
@@ -32,5 +32,5 @@
 #endif
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 static int lastCmdStatus;
@@ -38,8 +38,8 @@
 #ifdef USE_THREADS
 void
-Rappture::VtkVis::queueResponse(ClientData clientData,
-                                const void *bytes, size_t len, 
-                                Response::AllocationType allocType,
-                                Response::ResponseType type)
+VtkVis::queueResponse(ClientData clientData,
+                      const void *bytes, size_t len, 
+                      Response::AllocationType allocType,
+                      Response::ResponseType type)
 {
     ResponseQueue *queue = (ResponseQueue *)clientData;
@@ -2127,6 +2127,4 @@
     char buf[BUFSIZ];
     const char *string;
-    int f;
-    int i;
     int length;
     int result;
@@ -2135,6 +2133,6 @@
     /* Use the initial client key value pairs as the parts for a generating
      * a unique file name. */
-    f = Rappture::VtkVis::getStatsFile(interp, objv[1]);
-    if (f < 0) {
+    int fd = VtkVis::getStatsFile(interp, objv[1]);
+    if (fd < 0) {
 	Tcl_AppendResult(interp, "can't open stats file: ", 
                          Tcl_PosixError(interp), (char *)NULL);
@@ -2169,17 +2167,17 @@
     /* date */
     Tcl_ListObjAppendElement(interp, listObjPtr, Tcl_NewStringObj("date", 4));
-    strcpy(buf, ctime(&Rappture::VtkVis::g_stats.start.tv_sec));
+    strcpy(buf, ctime(&VtkVis::g_stats.start.tv_sec));
     buf[strlen(buf) - 1] = '\0';
     Tcl_ListObjAppendElement(interp, listObjPtr, Tcl_NewStringObj(buf, -1));
     /* date_secs */
     Tcl_ListObjAppendElement(interp, listObjPtr, 
-                Tcl_NewStringObj("date_secs", 9));
+                             Tcl_NewStringObj("date_secs", 9));
     Tcl_ListObjAppendElement(interp, listObjPtr, 
-                Tcl_NewLongObj(Rappture::VtkVis::g_stats.start.tv_sec));
+                             Tcl_NewLongObj(VtkVis::g_stats.start.tv_sec));
     /* Client arguments. */
     if (Tcl_ListObjGetElements(interp, objv[1], &numItems, &items) != TCL_OK) {
 	return TCL_ERROR;
     }
-    for (i = 0; i < numItems; i++) {
+    for (int i = 0; i < numItems; i++) {
         Tcl_ListObjAppendElement(interp, listObjPtr, items[i]);
     }
@@ -2188,6 +2186,6 @@
     Tcl_DStringAppend(&ds, string, length);
     Tcl_DStringAppend(&ds, "\n", 1);
-    result = Rappture::VtkVis::writeToStatsFile(f, Tcl_DStringValue(&ds), 
-                                                Tcl_DStringLength(&ds));
+    result = VtkVis::writeToStatsFile(fd, Tcl_DStringValue(&ds), 
+                                      Tcl_DStringLength(&ds));
     Tcl_DStringFree(&ds);
     Tcl_DecrRefCount(listObjPtr);
@@ -3161,4 +3159,18 @@
 
 static int
+Contour3DContourFieldOp(ClientData clientData, Tcl_Interp *interp, int objc, 
+                        Tcl_Obj *const *objv)
+{
+    const char *fieldName = Tcl_GetString(objv[2]);
+    if (objc == 4) {
+        const char *dataSetName = Tcl_GetString(objv[3]);
+        g_renderer->setContour3DContourField(dataSetName, fieldName);
+    } else {
+        g_renderer->setContour3DContourField("all", fieldName);
+    }
+    return TCL_OK;
+}
+
+static int
 Contour3DContourListOp(ClientData clientData, Tcl_Interp *interp, int objc, 
                        Tcl_Obj *const *objv)
@@ -3405,5 +3417,6 @@
     {"colormap",     7, Contour3DColorMapOp, 3, 4, "colorMapName ?dataSetName?"},
     {"colormode",    7, Contour3DColorModeOp, 4, 5, "mode fieldName ?dataSetName?"},
-    {"contourlist",  3, Contour3DContourListOp, 3, 4, "contourList ?dataSetName?"},
+    {"contourfield", 8, Contour3DContourFieldOp, 3, 4, "fieldName ?dataSetName?"},
+    {"contourlist",  8, Contour3DContourListOp, 3, 4, "contourList ?dataSetName?"},
     {"delete",       1, Contour3DDeleteOp, 2, 3, "?dataSetName?"},
     {"edges",        1, Contour3DEdgeVisibilityOp, 3, 4, "bool ?dataSetName?"},
@@ -4535,5 +4548,5 @@
 
 static int
-DataSetOutlineOp(ClientData clientData, Tcl_Interp *interp, int objc, 
+DataSetVisibleOp(ClientData clientData, Tcl_Interp *interp, int objc, 
                  Tcl_Obj *const *objv)
 {
@@ -4544,40 +4557,4 @@
     if (objc == 4) {
         const char *name = Tcl_GetString(objv[3]);
-        g_renderer->setDataSetShowBounds(name, state);
-    } else {
-        g_renderer->setDataSetShowBounds("all", state);
-    }
-    return TCL_OK;
-}
-
-static int
-DataSetOutlineColorOp(ClientData clientData, Tcl_Interp *interp, int objc, 
-                      Tcl_Obj *const *objv)
-{
-    float color[3];
-    if (GetFloatFromObj(interp, objv[2], &color[0]) != TCL_OK ||
-        GetFloatFromObj(interp, objv[3], &color[1]) != TCL_OK ||
-        GetFloatFromObj(interp, objv[4], &color[2]) != TCL_OK) {
-        return TCL_ERROR;
-    }
-    if (objc == 6) {
-        const char *name = Tcl_GetString(objv[5]);
-        g_renderer->setDataSetOutlineColor(name, color);
-    } else {
-        g_renderer->setDataSetOutlineColor("all", color);
-    }
-    return TCL_OK;
-}
-
-static int
-DataSetVisibleOp(ClientData clientData, Tcl_Interp *interp, int objc, 
-                 Tcl_Obj *const *objv)
-{
-    bool state;
-    if (GetBooleanFromObj(interp, objv[2], &state) != TCL_OK) {
-        return TCL_ERROR;
-    }
-    if (objc == 4) {
-        const char *name = Tcl_GetString(objv[3]);
         g_renderer->setDataSetVisibility(name, state);
     } else {
@@ -4589,5 +4566,4 @@
 static Rappture::CmdSpec dataSetOps[] = {
     {"add",       1, DataSetAddOp, 6, 6, "name data follows nBytes"},
-    {"color",     1, DataSetOutlineColorOp, 5, 6, "r g b ?name?"},
     {"delete",    1, DataSetDeleteOp, 2, 3, "?name?"},
     {"getscalar", 4, DataSetGetScalarOp, 6, 7, "oper x y ?z? name"},
@@ -4596,5 +4572,4 @@
     {"names",     1, DataSetNamesOp, 2, 2, ""},
     {"opacity",   2, DataSetOpacityOp, 3, 4, "value ?name?"},
-    {"outline",   2, DataSetOutlineOp, 3, 4, "bool ?name?"},
     {"scalar",    1, DataSetActiveScalarsOp, 3, 4, "scalarName ?name?"},
     {"vector",    2, DataSetActiveVectorsOp, 3, 4, "vectorName ?name?"},
@@ -6003,5 +5978,5 @@
 static int
 ImageFlushCmd(ClientData clientData, Tcl_Interp *interp, int objc, 
-             Tcl_Obj *const *objv)
+              Tcl_Obj *const *objv)
 {
     lastCmdStatus = TCL_BREAK;
@@ -10027,8 +10002,8 @@
  */
 int
-Rappture::VtkVis::processCommands(Tcl_Interp *interp,
-                                  ClientData clientData,
-                                  ReadBuffer *inBufPtr, 
-                                  int fdOut)
+VtkVis::processCommands(Tcl_Interp *interp,
+                        ClientData clientData,
+                        ReadBuffer *inBufPtr, 
+                        int fdOut)
 {
     int ret = 1;
@@ -10098,7 +10073,7 @@
  */
 int
-Rappture::VtkVis::handleError(Tcl_Interp *interp,
-                              ClientData clientData,
-                              int status, int fdOut)
+VtkVis::handleError(Tcl_Interp *interp,
+                    ClientData clientData,
+                    int status, int fdOut)
 {
     const char *string;
@@ -10155,5 +10130,5 @@
  */
 void
-Rappture::VtkVis::initTcl(Tcl_Interp *interp, ClientData clientData)
+VtkVis::initTcl(Tcl_Interp *interp, ClientData clientData)
 {
     Tcl_MakeSafe(interp);
@@ -10194,5 +10169,5 @@
  * \brief Delete Tcl commands and interpreter
  */
-void Rappture::VtkVis::exitTcl(Tcl_Interp *interp)
+void VtkVis::exitTcl(Tcl_Interp *interp)
 {
     Tcl_DeleteCommand(interp, "arc");
Index: /trunk/packages/vizservers/vtkvis/RpVtkRendererCmd.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkRendererCmd.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkRendererCmd.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_RENDERERCMD_H__
-#define __RAPPTURE_VTKVIS_RENDERERCMD_H__
+#ifndef VTKVIS_RENDERERCMD_H
+#define VTKVIS_RENDERERCMD_H
 
 #include <cstdio>
@@ -17,5 +17,4 @@
 #endif
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -42,5 +41,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpVtkRendererGraphicsObjs.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkRendererGraphicsObjs.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkRendererGraphicsObjs.cpp	(revision 3615)
@@ -36,5 +36,4 @@
 
 // Template specializations
-namespace Rappture {
 namespace VtkVis {
 
@@ -260,7 +259,6 @@
 
 }
-}
-
-using namespace Rappture::VtkVis;
+
+using namespace VtkVis;
 
 /**
@@ -585,4 +583,32 @@
 
 /**
+ * \brief Set the number of equally spaced isosurfaces for the given DataSet
+ */
+void Renderer::setContour2DContourField(const DataSetId& id, const char *fieldName)
+{
+    Contour2DHashmap::iterator itr;
+
+    bool doAll = false;
+
+    if (id.compare("all") == 0) {
+        itr = _contour2Ds.begin();
+        doAll = true;
+    } else {
+        itr = _contour2Ds.find(id);
+    }
+    if (itr == _contour2Ds.end()) {
+        ERROR("Contour2D not found: %s", id.c_str());
+        return;
+    }
+
+    do {
+        itr->second->setContourField(fieldName);
+     } while (doAll && ++itr != _contour2Ds.end());
+
+    sceneBoundsChanged();
+    _needsRedraw = true;
+}
+
+/**
  * \brief Set a list of isovalues for the given DataSet
  */
@@ -767,4 +793,32 @@
     _needsRedraw = true;
     return true;
+}
+
+/**
+ * \brief Set the number of equally spaced isosurfaces for the given DataSet
+ */
+void Renderer::setContour3DContourField(const DataSetId& id, const char *fieldName)
+{
+    Contour3DHashmap::iterator itr;
+
+    bool doAll = false;
+
+    if (id.compare("all") == 0) {
+        itr = _contour3Ds.begin();
+        doAll = true;
+    } else {
+        itr = _contour3Ds.find(id);
+    }
+    if (itr == _contour3Ds.end()) {
+        ERROR("Contour3D not found: %s", id.c_str());
+        return;
+    }
+
+    do {
+        itr->second->setContourField(fieldName);
+     } while (doAll && ++itr != _contour3Ds.end());
+
+    sceneBoundsChanged();
+    _needsRedraw = true;
 }
 
Index: /trunk/packages/vizservers/vtkvis/RpVtkRendererGraphicsObjs.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpVtkRendererGraphicsObjs.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpVtkRendererGraphicsObjs.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_RENDERER_GRAPHICS_OBJS_H__
-#define __RAPPTURE_VTKVIS_RENDERER_GRAPHICS_OBJS_H__
+#ifndef VTKVIS_RENDERER_GRAPHICS_OBJS_H
+#define VTKVIS_RENDERER_GRAPHICS_OBJS_H
 
 #include <tr1/unordered_map>
@@ -40,5 +40,4 @@
 #include "RpVtkRenderer.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -1025,5 +1024,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/RpWarp.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpWarp.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpWarp.cpp	(revision 3615)
@@ -32,5 +32,5 @@
 #define MESH_POINT_CLOUDS
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 Warp::Warp() :
Index: /trunk/packages/vizservers/vtkvis/RpWarp.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/RpWarp.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/RpWarp.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_WARP_H__
-#define __RAPPTURE_VTKVIS_WARP_H__
+#ifndef VTKVIS_WARP_H
+#define VTKVIS_WARP_H
 
 #include <vtkSmartPointer.h>
@@ -21,5 +21,4 @@
 #include "RpVtkGraphicsObject.h"
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -108,5 +107,4 @@
 
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/TGAWriter.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/TGAWriter.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/TGAWriter.cpp	(revision 3615)
@@ -37,8 +37,8 @@
  */
 void
-Rappture::VtkVis::queueTGA(ResponseQueue *queue, const char *cmdName, 
-                           const unsigned char *data,
-                           int width, int height,
-                           int bytesPerPixel)
+VtkVis::queueTGA(ResponseQueue *queue, const char *cmdName, 
+                 const unsigned char *data,
+                 int width, int height,
+                 int bytesPerPixel)
 {
     TRACE("(%dx%d)\n", width, height);
@@ -102,8 +102,8 @@
  */
 void
-Rappture::VtkVis::writeTGA(int fd, const char *cmdName,
-                           const unsigned char *data,
-                           int width, int height,
-                           int bytesPerPixel)
+VtkVis::writeTGA(int fd, const char *cmdName,
+                 const unsigned char *data,
+                 int width, int height,
+                 int bytesPerPixel)
 {
     TRACE("(%dx%d)\n", width, height);
@@ -169,9 +169,9 @@
  */
 void
-Rappture::VtkVis::writeTGAFile(const char *filename,
-                               const unsigned char *imgData,
-                               int width, int height,
-                               int bytesPerPixel,
-                               bool srcIsRGB)
+VtkVis::writeTGAFile(const char *filename,
+                     const unsigned char *imgData,
+                     int width, int height,
+                     int bytesPerPixel,
+                     bool srcIsRGB)
 {
     TRACE("%s (%dx%d)\n", filename, width, height);
Index: /trunk/packages/vizservers/vtkvis/TGAWriter.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/TGAWriter.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/TGAWriter.h	(revision 3615)
@@ -6,6 +6,6 @@
  */
 
-#ifndef __RAPPTURE_VTKVIS_TGAWRITER_H__
-#define __RAPPTURE_VTKVIS_TGAWRITER_H__
+#ifndef VTKVIS_TGAWRITER_H
+#define VTKVIS_TGAWRITER_H
 
 #ifdef USE_THREADS
@@ -13,5 +13,4 @@
 #endif
 
-namespace Rappture {
 namespace VtkVis {
 #ifdef USE_THREADS
@@ -31,5 +30,4 @@
                   int bytesPerPixel, bool srcIsRGB = false);
 }
-}
 
 #endif
Index: /trunk/packages/vizservers/vtkvis/Trace.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/Trace.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/Trace.cpp	(revision 3615)
@@ -16,5 +16,5 @@
 #include "Trace.h"
 
-using namespace Rappture::VtkVis;
+using namespace VtkVis;
 
 static std::ostringstream g_UserErrorString;
@@ -26,5 +26,5 @@
  */
 void
-Rappture::VtkVis::initLog()
+VtkVis::initLog()
 {
     openlog("vtkvis", LOG_CONS | LOG_PERROR | LOG_PID,  LOG_USER);
@@ -35,5 +35,5 @@
  */
 void
-Rappture::VtkVis::closeLog()
+VtkVis::closeLog()
 {
     closelog();
@@ -44,6 +44,6 @@
  */
 void 
-Rappture::VtkVis::logMessage(int priority, const char *funcname,
-                             const char *path, int lineNum, const char* fmt, ...)
+VtkVis::logMessage(int priority, const char *funcname,
+                   const char *path, int lineNum, const char* fmt, ...)
 {
     char message[MSG_LEN + 1];
@@ -74,5 +74,5 @@
  */
 void 
-Rappture::VtkVis::logUserMessage(const char* fmt, ...)
+VtkVis::logUserMessage(const char* fmt, ...)
 {
     char message[MSG_LEN + 1];
@@ -89,5 +89,5 @@
 
 const char *
-Rappture::VtkVis::getUserMessages()
+VtkVis::getUserMessages()
 {
     return g_UserErrorString.str().c_str();
@@ -95,5 +95,5 @@
 
 void 
-Rappture::VtkVis::clearUserMessages()
+VtkVis::clearUserMessages()
 {
     g_UserErrorString.str(std::string());
Index: /trunk/packages/vizservers/vtkvis/Trace.h
===================================================================
--- /trunk/packages/vizservers/vtkvis/Trace.h	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/Trace.h	(revision 3615)
@@ -6,10 +6,9 @@
  */
 
-#ifndef __TRACE_H__
-#define __TRACE_H__
+#ifndef VTKVIS_TRACE_H
+#define VTKVIS_TRACE_H
 
 #include <syslog.h>
 
-namespace Rappture {
 namespace VtkVis {
 
@@ -27,16 +26,15 @@
                        int lineNum, const char* format, ...);
 
-#define ERROR(...)	Rappture::VtkVis::logMessage(LOG_ERR, __FUNCTION__, __FILE__, __LINE__, __VA_ARGS__)
+#define ERROR(...)	VtkVis::logMessage(LOG_ERR, __FUNCTION__, __FILE__, __LINE__, __VA_ARGS__)
 #ifdef WANT_TRACE
-#define TRACE(...)	Rappture::VtkVis::logMessage(LOG_DEBUG, __FUNCTION__, __FILE__, __LINE__, __VA_ARGS__)
+#define TRACE(...)	VtkVis::logMessage(LOG_DEBUG, __FUNCTION__, __FILE__, __LINE__, __VA_ARGS__)
 #else 
 #define TRACE(...) 
 #endif  /*WANT_TRACE*/
-#define WARN(...)	Rappture::VtkVis::logMessage(LOG_WARNING, __FUNCTION__, __FILE__, __LINE__, __VA_ARGS__)
-#define INFO(...)	Rappture::VtkVis::logMessage(LOG_INFO, __FUNCTION__, __FILE__, __LINE__, __VA_ARGS__)
+#define WARN(...)	VtkVis::logMessage(LOG_WARNING, __FUNCTION__, __FILE__, __LINE__, __VA_ARGS__)
+#define INFO(...)	VtkVis::logMessage(LOG_INFO, __FUNCTION__, __FILE__, __LINE__, __VA_ARGS__)
 
-#define USER_ERROR(...) Rappture::VtkVis::logUserMessage(__VA_ARGS__)
+#define USER_ERROR(...) VtkVis::logUserMessage(__VA_ARGS__)
 
-}
 }
 
Index: /trunk/packages/vizservers/vtkvis/protocol.txt
===================================================================
--- /trunk/packages/vizservers/vtkvis/protocol.txt	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/protocol.txt	(revision 3615)
@@ -186,4 +186,6 @@
        resets to default.
 
+clientinfo <list>
+
 colormap add <colorMapName> <colorMap> <opacityMap>
 	 colorMap = Tcl list of {value r g b} control points
@@ -195,6 +197,4 @@
 
 dataset add <datasetName> data follows <nbytes>
-dataset color <r> <g> <b> <?datasetName?>
-        Set color of outline bounding box
 dataset delete <?datasetName?>
 dataset getscalar world <x> <y> <z> <datasetName>
@@ -222,6 +222,4 @@
         Returns a list of the loaded data sets
 dataset opacity <val> <?datasetName?>
-dataset outline <bool> <?datasetName?>
-        Toggle wireframe outline of dataset's bounding box
 dataset scalar <scalarName> <?datasetName?>
         Set the active scalar field to plot
Index: /trunk/packages/vizservers/vtkvis/vtkRpCubeAxesActor.cpp
===================================================================
--- /trunk/packages/vizservers/vtkvis/vtkRpCubeAxesActor.cpp	(revision 3614)
+++ /trunk/packages/vizservers/vtkvis/vtkRpCubeAxesActor.cpp	(revision 3615)
@@ -28,4 +28,6 @@
 #include "vtkTextProperty.h"
 #include "vtkViewport.h"
+
+#include "Trace.h"
 
 vtkStandardNewMacro(vtkRpCubeAxesActor);
@@ -2004,4 +2006,6 @@
   customizedLabels = this->AxisLabels[axis];
 
+  //TRACE("sortedRange[0]: %g %g", sortedRange[0], this->FFix(sortedRange[0]*(1./major)) - sortedRange[0]*(1./major));
+
   if (customizedLabels == NULL)
     {
@@ -2058,4 +2062,6 @@
     }
 
+  //TRACE("range majorStart: %g major: %g", majorStart, major);
+
   double t;
   t = (minorStart - sortedRange[0])/range;
@@ -2066,4 +2072,6 @@
   minor *= scale;
   major *= scale;
+
+  //TRACE("bounds majorStart: %g major: %g", majorStart, major);
 
   // Set major start and delta for the corresponding cube axis
